javax.visrec.spi

## Interface ImageFactoryService

    public interface ImageFactoryService

The service to locate and find implementations of the `ImageFactory` interface.

Since:
  1.0
Author:
  Kevin Berendsen

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> Optional<ImageFactory<T>>` `getByImageType(Class<T> imageCls)` Get the `ImageFactory` implementation by its image type.

### Method Detail

#### getByImageType

    <T> Optional<ImageFactory<T>> getByImageType(Class<T> imageCls)

Get the `ImageFactory` implementation by its image type.

Type Parameters:
  `T` - image type
Parameters:
  `imageCls` - image type in `Class` object which is able to be processed by the image factory implementation.
Returns:
  `Optional` with possible `ImageFactory` implementation if found.